Delete all cache entries for a GitHub repository
curl --request DELETE \
--url https://api.ubicloud.com/project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ubicloud.com/project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ubicloud.com/project/{project_id}/github/{github_installation_reference}/repository/{github_repository_reference}/cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}GitHub
Delete all cache entries for a GitHub repository
DELETE
/
project
/
{project_id}
/
github
/
{github_installation_reference}
/
repository
/
{github_repository_reference}
/
cache
Delete all cache entries for a GitHub repository
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the project
Pattern:
^pj[0-9a-hj-km-np-tv-z]{24}$Example:
"pjkkmx0f2vke4h36nk9cm8v8q0"
GitHub installation ID or name Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$GitHub repository ID or name Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$Response
An empty response after successful resource delete
⌘I